# Xapian::UnimplementedError Class Reference

UnimplementedError indicates an attempt to use an unimplemented feature. More...

Inheritance diagram for Xapian::UnimplementedError:

[legend]

List of all members.

## Public Member Functions

| UnimplementedError (const std::string &msg_, const std::string &context_=std::string(), int errno_=0)
| General purpose constructor which allows setting errno.
| UnimplementedError (const std::string &msg_, int errno_)
| Construct from message and errno value.

## Detailed Description

UnimplementedError indicates an attempt to use an unimplemented feature.

## Constructor & Destructor Documentation

Xapian::UnimplementedError::UnimplementedError | ( | const std::string & | msg_,
|  | const std::string & | context_ = `std::string()`,
|  | int | errno_ = `0` |
| ) |  |  | `[inline, explicit]`

General purpose constructor which allows setting errno.

Xapian::UnimplementedError::UnimplementedError | ( | const std::string & | msg_,
|  | int | errno_ |
| ) |  |  | `[inline]`

Construct from message and errno value.

The documentation for this class was generated from the following file:

- xapian/error.h